%
% Created By Shashi Kumar / ITC / January 2009
%
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{EEH} [2005/09/16 v1.4f CRC Engineering Handbook Document Style]
\newif\if@FontsAvailable
\@FontsAvailablefalse    % set to false to use Computer Modern
\newif\if@UnnumberedReferences
\@UnnumberedReferencesfalse   % set to true to have references be unnumbered
\DeclareOption{UnnumRef}{\@UnnumberedReferencestrue}
\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagetrue
\newif\if@openright
\newif\if@mainmatter \@mainmattertrue
\if@compatibility\else
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{a5paper}
   {\setlength\paperheight {210mm}%
    \setlength\paperwidth  {148mm}}
\DeclareOption{b5paper}
   {\setlength\paperheight {250mm}%
    \setlength\paperwidth  {176mm}}
\DeclareOption{letterpaper}
   {\setlength\paperheight {11in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{legalpaper}
   {\setlength\paperheight {14in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{executivepaper}
   {\setlength\paperheight {10.5in}%
    \setlength\paperwidth  {7.25in}}
\DeclareOption{landscape}
   {\setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}}
\fi
\if@compatibility
  \renewcommand\@ptsize{0}
\else
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\fi
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility
\@openrighttrue
\else
\DeclareOption{openright}{\@openrighttrue}
\DeclareOption{openany}{\@openrightfalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%\newif\if@numbysec
%%%\DeclareOption{numbysec}{\@numbysectrue}
%%%\newif\if@numberinsequence
%%%\DeclareOption{numberinsequence}{\@numberinsequencetrue}
%%%\newif\if@nocaptionbreak
%%%\DeclareOption{NoCaptionBreak}{\@nocaptionbreaktrue}
%%%\newif\if@sevenbyten
%%%\DeclareOption{sevenbyten}{\@sevenbytentrue}
\newif\if@cip
\DeclareOption{cip}{\@ciptrue}
%%%\newif\if@times
%%%\DeclareOption{times}{\@timestrue}
%%%\newif\if@chapnumonly
%%%\DeclareOption{chapnumonly}{\@chapnumonlytrue}
\newif\if@ChapterResetsPage
\DeclareOption{ChapterResetsPage}{\@ChapterResetsPagetrue}
\newif\if@ChapterTOCs
\DeclareOption{ChapterTOCs}{\@ChapterTOCstrue}
%%%\newif\if@EOCRefs
%%%\DeclareOption{EOCRefs}{\@EOCRefstrue}%
%%%\newif\if@SuperscriptCites
%%%\DeclareOption{SuperscriptCites}{\@SuperscriptCitestrue}%
%%%\newif\if@UnnumberedReferences
%%%\DeclareOption{UnnumberedReferences}{\@UnnumberedReferencestrue}%
\newif\if@pdf
\DeclareOption{pdf}{\@pdftrue}
%%%\DeclareOption{EEH1}{\@EEHatrue}
%%%\newif\if@EEHa
%%%\DeclareOption{EEH2}{\@EEHbtrue}
%%%\newif\if@EEHb
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\ExecuteOptions{letterpaper,10pt,twoside,onecolumn,final,openright}
\ProcessOptions

%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%

\def\helv@scale{.82}
%
\DeclareFontFamily{T1}{helvetica}{}%
\DeclareFontShape{T1}{helvetica}{m}{n}{<->s*[\helv@scale]phvr8t}{}%
\DeclareFontShape{T1}{helvetica}{m}{it}{<->s*[\helv@scale]phvro8t}{}%
\DeclareFontShape{T1}{helvetica}{m}{sc}{<->s*[\helv@scale]phvrc8t}{}%
\DeclareFontShape{T1}{helvetica}{b}{n}{<->s*[\helv@scale]phvb8t}{}%
\DeclareFontShape{T1}{helvetica}{b}{it}{<->s*[\helv@scale]phvbo8t}{}%
\DeclareFontShape{T1}{helvetica}{m}{sl}{<->s*[\helv@scale]phvro8t}{}%
\DeclareFontShape{T1}{helvetica}{b}{sc}{<->s*[\helv@scale]phvbc8t}{}%
\DeclareFontShape{T1}{helvetica}{b}{sl}{<->s*[\helv@scale]phvbo8t}{}%
\DeclareFontShape{T1}{helvetica}{bx}{n}{<->s*[\helv@scale]phvb8t}{}%
\DeclareFontShape{T1}{helvetica}{bx}{it}{<->s*[\helv@scale]phvbo8t}{}%
\DeclareFontShape{T1}{helvetica}{bx}{sc}{<->s*[\helv@scale]phvbc8t}{}%
\DeclareFontShape{T1}{helvetica}{bx}{sl}{<->ssub * helvetica/b/it}{}%

\DeclareFontFamily{OT1}{helvetica}{}%
\DeclareFontShape{OT1}{helvetica}{m}{n}{<->s*[\helv@scale]phvr7t}{}%
\DeclareFontShape{OT1}{helvetica}{m}{it}{<->s*[\helv@scale]phvro7t}{}%
\DeclareFontShape{OT1}{helvetica}{m}{sc}{<->s*[\helv@scale]phvrc7t}{}%
\DeclareFontShape{OT1}{helvetica}{b}{n}{<->s*[\helv@scale]phvb7t}{}%
\DeclareFontShape{OT1}{helvetica}{b}{it}{<->s*[\helv@scale]phvbo7t}{}%
\DeclareFontShape{OT1}{helvetica}{m}{sl}{<->s*[\helv@scale]phvro7t}{}%
\DeclareFontShape{OT1}{helvetica}{b}{sc}{<->s*[\helv@scale]phvbc8t}{}%
\DeclareFontShape{OT1}{helvetica}{b}{sl}{<->s*[\helv@scale]phvbo7t}{}%
\DeclareFontShape{OT1}{helvetica}{bx}{n}{<->s*[\helv@scale]phvb7t}{}%
\DeclareFontShape{OT1}{helvetica}{bx}{it}{<->s*[\helv@scale]phvbo7t}{}%
\DeclareFontShape{OT1}{helvetica}{bx}{sc}{<->s*[\helv@scale]phvbc8t}{}%
\DeclareFontShape{OT1}{helvetica}{bx}{sl}{<->s*[\helv@scale]phvbo7t}{}%

%%%%%%%%%%%%%%%%%%%%%

\input{bk1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}

%%%%%%%%%%%%% Page layout %%%%%%%%%

%
%%\oddsidemargin  6pc %5pc
%%\evensidemargin 5.7pc %5pc
%%\marginparwidth 4pc
%%\marginparsep   1pc
%%\topmargin  12pt %0pt
%%\headheight 12pt
%%\headsep    12pt
%%\footskip   2pc
%
% DIMENSION OF TEXT:
\newdimen\trimheight
\newdimen\trimwidth
\newdimen\normaltextheight
\newdimen\tempa
\newdimen\tempdimen
%


%%%\hoffset3pc
%%%\textwidth33pc
%%%\textheight50pc
%%%\topmargin\z@
%%%\headheight12pt
%%%\headsep12pt
%%%\topskip12pt
%%%\oddsidemargin0pt
%%%\evensidemargin\oddsidemargin
%%%\columnsep21pt
%%%\parindent10pt

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Parameter Initializaton %%%%%%%%%%%%%%%%%%%%%%%%%%
% 
\newdimen\htrim
\newdimen\vtrimtop
\newdimen\vtrimbot

\setlength\trimheight{7in}
\setlength\trimwidth{10in}
%
  \textheight = 51pc
%  \advance\textheight by \topskip
  \textwidth 33pc
  \topmargin0in
  \oddsidemargin.5in
  \evensidemargin.5in
  \htrim.75in
  \vtrimtop.8607in
  \vtrimbot1.027in
  \hoffset-.1in
  \voffset-.15in%.04in
\let\normaltextheight\textheight
%
\columnsep 1pc
\columnseprule 0pt
%
% FOOTNOTES
%
\footnotesep 6.65pt
\skip\footins 12pt plus 3pt minus 1.5pt
%
\if@pdf
  \def\@cip{{\tiny\copyright}\footnotesize 1999 by CRC Press, LLC}
\else
  \newsavebox\@cipboxa
  \newsavebox\@cipboxb
  \newdimen\@ciprulewidth
  \def\@cip#1#2{\sbox\@cipboxa{\CIPFont #1}\sbox\@cipboxb{\CIPFont #2}\@ciprulewidth\wd\@cipboxa\ifnum\@ciprulewidth<\wd\@cipboxb\@ciprulewidth\wd\@cipboxb\fi}\fi

%%%%  Trim marks %%%%%%%%%%%
\newsavebox\ul@box
\newsavebox\ur@box
\newsavebox\ll@box
\newsavebox\lr@box
\def\top@cornermarks{%
  \hskip-\htrim
  \vbox to 0\p@{\vskip-\vtrimtop\llap{\copy\ul@box}\vss}%
  \vbox to 0\p@{\vskip-\vtrimtop\rlap{\hskip\textwidth\hskip2\htrim\copy\ur@box}\vss}%
  \vbox to 0\p@{\vskip\textheight\vskip\vtrimbot\llap{\copy\ll@box}\vss}%
  \vbox to 0\p@{\vskip\textheight\vskip\vtrimbot\rlap{\hskip\textwidth\hskip2\htrim\copy\lr@box}\vss}%
  \hskip\htrim}
\def\make@cornermarks{%
  \sbox\ul@box{\rule{18\p@}{.25\p@}\hskip8\p@\hbox to.25\p@{\vbox to26\p@{\noindent\rule{.25\p@}{18\p@}}}}%
  \sbox\ur@box{\hbox to.25\p@{\vbox to26\p@{\noindent\rule{.25\p@}{18\p@}}}\hskip8\p@\rule{18\p@}{.25\p@}}%
  \sbox\ll@box{\rule{18\p@}{.25\p@}\hskip8\p@\lower34\p@\hbox to.25\p@{\vbox to26\p@{\noindent\rule{.25\p@}{18\p@}}}}%
  \sbox\lr@box{\lower34\p@\hbox to.25\p@{\vbox to26\p@{\noindent\rule{.25\p@}{18\p@}}}\hskip8\p@\rule{18\p@}{.25\p@}}}

%%%%%%%%%%%%%%%%%%%%  End Trim Marks %%%%%%%%%%%%

\def\cleardoublepage{%
  \clearpage
  \if@twoside\ifodd\c@page\else
    \thispagestyle{empty}\clearpage
    \if@twocolumn\thispagestyle{empty}\clearpage\fi\fi\fi}
\def\@nextevenpage{%
  \clearpage
  \if@twoside\ifodd\c@page
    \thispagestyle{empty}\clearpage
    \if@twocolumn\thispagestyle{empty}\clearpage\fi\fi\fi}
\newcount\chap@page
\chap@page\z@
\newcount\temp@page
\def\@Chapter#1{{\FolioBoldFont\thechapter}-\@arabic\c@page}
\def\@Part#1{{\FolioBoldFont\thepart}-\@arabic\c@page}
\def\@Index#1{{\bf I}-\@arabic\c@page}
\def\@title{}
\def\markrightshort#1{}

%%%%%%%%%%%%%%%%%%%%%%%%%

\if@twoside
  \def\ps@headings{%
  \let\@mkboth\@gobbletwo
\if@pdf
    \let\@evenhead\@empty
    \let\@oddhead\@empty
    \def\@oddfoot{\@cip\hfil}%
    \def\@evenfoot{\@cip\hfil}%
\else
    \def\@oddfoot{}%
    \def\@evenfoot{}%
    \def\@evenhead{\top@cornermarks\rm \thepage\hfil \sl \leftmark}%
    \def\@oddhead{\top@cornermarks{\sl \rightmark}\hfil \rm\thepage}%
\def\chaptermark##1{\markboth {\@title}{##1}}%%%%%%%%%%%%%%%%%%% Setting the Running Head
%%    \def\chaptermark##1{\markboth {\uppercase{\ifnum \c@secnumdepth >\m@ne
%%      \@chapapp\ \thechapter. \ \fi ##1}}{}}%
%    \def\sectionmark##1{\markright {\uppercase{\ifnum \c@secnumdepth >\z@
%      \thesection. \ \fi ##1}}}
\def\sectionmark##1{}
\fi
        }
\else
  \def\ps@headings{%
    \let\@oddfoot\@empty
    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
    \let\@mkboth\markboth
    \def\chaptermark##1{%
      \markright {\MakeUppercase{%
        \ifnum \c@secnumdepth >\m@ne
          \if@mainmatter
            \@chapapp\ \thechapter. \ %
          \fi
        \fi
        ##1}}}}
\fi
%
\def\ps@myheadings{%
  \let\@mkboth\@gobbletwo
  \if@pdf
    \let\@evenhead\@empty
    \let\@oddhead\@empty
    \def\@oddfoot{\@cip\hfil}%
    \def\@evenfoot{\@cip\hfil}%
  \else
    \def\@oddhead{\top@cornermarks{\sl\rightmark}\hfil \rm\thepage}%
    \def\@oddfoot{}\def\@evenhead{\rm \thepage\hfil\sl\leftmark}%
    \def\@evenfoot{}\def\chaptermark##1{}\def\sectionmark##1{}%
    \def\subsectionmark##1{}\fi}

\def\ps@empty{%
  \let\@mkboth\@gobbletwo
  \if@pdf
    \let\@evenhead\@empty
    \let\@oddhead\@empty
    \def\@oddfoot{\@cip\hfil}%
    \def\@evenfoot{\@cip\hfil}%
  \else
    \make@cornermarks
    \let\@oddhead\top@cornermarks
    \let\@evenhead\top@cornermarks
    \let\@oddfoot\@empty
    \let\@evenfoot\@empty
  \fi
  }

%    
\def\ps@folio{%
  \let\@mkboth\@gobbletwo
  \if@pdf
    \let\@evenhead\@empty
    \let\@oddhead\@empty
    \def\@oddfoot{\@cip\hfil}%
    \def\@evenfoot{\@cip\hfil}%
  \else
    \let\@oddhead\top@cornermarks
    \def\@oddfoot{
      \hbox{}%
      \hbox{%
        \vbox to 10pt{%%%
          \parindent\z@\baselineskip9pt
          \if@cip\noindent\rule{\@ciprulewidth}{.25pt}\par\fi
          \hbox to \textwidth{\if@cip\vbox{\copy\@cipboxa\par\copy\@cipboxb}\else\rule{\z@}{18\p@}\global\@ciptrue\fi\hfill\FolioFont\thepage}}}}%
    \let\@evenhead\@empty
    \let\@evenfoot\@empty\fi}
%
\def\ps@partheadings{%
   \pagenumbering{Part}
    \let\@evenhead\@empty
    \let\@oddhead\top@cornermarks%\@empty
    \def\@oddfoot{\hfill\thepage}%
    \def\@evenfoot{\hfill\thepage}%
}
%
\long\def\@makefntext#1{
  \leftskip1pc
  $\m@th^{\@thefnmark}$#1}
\def\addcontentsline#1#2#3{%
  \if@filesw
    \begingroup
    \let\label\@gobble\let\index\@gobble\let\glossary\@gobble
    \def\break{\string\break\ }%
    \def\protect##1{\string ##1 }%
    \@temptokena{\thepage}%
    \edef\@tempa{\write \@auxout{\string\@writefile{#1}{\protect\contentsline{#2}{#3}{\the\@temptokena}}}}\@tempa
    \if@nobreak\ifvmode\nobreak\fi\fi
    \endgroup
  \fi}
\def\myaddcontentsline#1#2#3{%
  \if@filesw
    \begingroup
    \let\label\@gobble\let\index\@gobble\let\glossary\@gobble
    \def\break{\ }%
    \def\protect##1{\string ##1 }%
    \@temptokena{\thepage}%
    \edef\@tempa{\write#1{\string\chapcontentsline{#2}{\string\raggedright\space #3}{\the\@temptokena}}}\@tempa
    \if@nobreak\ifvmode\nobreak\fi\fi
    \endgroup
  \fi}
\def\my@addcontentsline#1#2#3{%
  \if@filesw
    \begingroup
      \let\label\@gobble\let\index\@gobble\let\glossary\@gobble
      \def\break{\ }%
      \def\protect##1{\ }%
      \@temptokena{\thepage}%
      \edef\@tempa{\write#1{\string\contentsline{#2}{\string\raggedright\space #3}{\the\@temptokena}}}\@tempa
      \if@nobreak\ifvmode\nobreak\fi\fi\endgroup\fi}
\def\secnumwidth{21pt}
\def\chapcontentsline#1{\csname l@#1\endcsname}
\def\@dottedtocline#1#2#3#4#5{%% Commented so that the subsection entries are prevented from appearing in the maintoc %%
%%  \ifnum #1>\c@tocdepth
%% \else
%%    \vskip \z@ \@plus.2\p@
%%    {\leftskip #2\relax\rightskip\@tocrmarg\parfillskip -\rightskip
%%      \parindent #2\relax\@afterindenttrue
%%      \interlinepenalty\@M
%%      \leavevmode
%%      \@tempdima #3\relax
%%      \advance\leftskip\@tempdima\null\hskip -\leftskip
%%      {#4}\nobreak
%%   \if@pdf
%%      \else
%%        \leaders\hbox{$\m@th\mkern\@dotsep mu\hbox{.}\mkern\@dotsep mu$}\hfill
%%        \nobreak
%%        \hb@xt@\@pnumwidth{\hfil\normalfont\normalcolor #5}
%%    \fi
%%         \par}\fi
}
\def\@mydottedtocline#1#2#3#4#5{
  \ifnum #1>\c@tocdepth
  \else
    \vskip 2pt plus.2\p@
    {\interlinepenalty\@M
      \leavevmode
      \def\@dotsep{1.2}%
      \@tempdima #3\relax
      \rightskip\z@
      \advance\hsize-\secnumwidth
      \vbox{\hskip-\secnumwidth\CCOneFont #4\nobreak
        \if@pdf
        \else
          \leaders\hbox{$\m@th\mkern\@dotsep mu.\mkern\@dotsep mu$}\hfill\nobreak
          \hbox to24\p@{\CCOneFont\hfil #5}\fi}
      \par}\fi}

  \if@titlepage
  \newcommand\maketitle{\begin{titlepage}%
  \let\footnotesize\small
  \let\footnoterule\relax
  \let \footnote \thanks
    \thispagestyle{empty}
  \global\@topnum\z@
  \@afterindentfalse
  {\parindent\z@\raggedright\baselineskip\z@\lineskip\z@\parskip\z@
    \vbox{
    \vskip -7pt
    \leavevmode\hfil\baselineskip 30pt\TitlePageTitleFont\raggedleft\@title\medskip\hrule\par}
    \vskip 60pt
    {\baselineskip 10pt\lineskip 10pt\FMEDFont by\par\vskip20pt\uppercase{\@author}\par}}
  \@thanks
  \vfil\null
  \end{titlepage}%
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
%  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\else
\newcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \if@twocolumn
      \ifnum \col@number=\@ne
        \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
    \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
%  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\def\@maketitle{%
    \thispagestyle{empty}
  \global\@topnum\z@
  \@afterindentfalse
  {\parindent\z@\raggedright\baselineskip\z@\lineskip\z@\parskip\z@
    \vbox{
    \vskip -7pt
    \leavevmode\hfil\baselineskip 30pt\TitlePageTitleFont\raggedleft\@title\medskip\hrule\par}
    \vskip 60pt
    {\baselineskip 10pt\lineskip 10pt\FMEDFont by\par\vskip20pt\uppercase{\@author}\par}}
%%  \newpage
%%  \null
%%  \vskip 2em%
%%  \begin{center}%
%%  \let \footnote \thanks
%%    {\LARGE \@title \par}%
%%    \vskip 1.5em%
%%    {\large
%%      \lineskip .5em%
%%      \begin{tabular}[t]{c}%
%%        \@author
%%      \end{tabular}\par}%
%%    \vskip 1em%
%%    {\large \@date}%
%%  \end{center}%
%%  \par
  \vskip 1.5em}
\fi

%%%%%%%%%%%%%% Font Defined %%%%%%%%%%%%%%%%%

 \def\@xipt{11}
  \def\@xviiipt{18}
 \def\@xxivpt{24}

\if@FontsAvailable
\newcommand\SectionHeadFont{\fontsize{13}{15}\bfseries\selectfont}
\newcommand\SubsectionHeadFont{\fontsize{11}{13}\bfseries\selectfont}
\newcommand\SubsectionItalicFont{\fontsize{11}{13}\itshape\bfseries\selectfont}
\newcommand\SubsubsectionHeadFont{\fontsize{9.5}{11.5}\bfseries\selectfont}
\newcommand\ChapNumFont{\fontsize{72}{72}\selectfont}
\newcommand\ChapTitleFont{\fontsize{24}{26}\selectfont}
\newcommand\TitlePageTitleFont{\fontsize{24}{24}\selectfont}
\newcommand\TableColHeadFont{\fontsize{8}{10}\selectfont}
\newcommand\TableTitleFont{\fontsize{8.5}{10.5}\selectfont}
\newcommand\TableNumFont{\fontsize{8.5}{10.5}\bfseries\selectfont}
\newcommand\TableBodyFont{\fontsize{8}{10}\selectfont}
\newcommand\CAAFont{\fontsize{7}{9}\itshape\selectfont}
\newcommand\CAFont{\fontsize{10}{12}\bfseries\selectfont}
\newcommand\CAAPlusOneFont{\fontsize{9}{11}\itshape\selectfont}
\newcommand\VfFont{\fontsize{10.5}{12.5}\selectfont}
\newcommand\CIPFont{\fontsize{7}{9}\selectfont}
\newcommand{\CCOneFont}{\fontsize{9.5}{11.5}\selectfont}
\newcommand{\CCOneIFont}{\fontsize{9.5}{11.5}\itshape\selectfont}
\newcommand{\CCTwoFont}{\fontsize{8.5}{10.5}\selectfont}
\newcommand{\FolioFont}{\fontsize{9}{11}\selectfont}
\newcommand{\FolioBoldFont}{\fontsize{9}{11}\selectfont}
\newcommand{\FMCAFont}{\fontsize{8.5}{10.5}\selectfont}
\newcommand{\FMCCFourAFont}{\fontsize{9.5}{11.5}\itshape\selectfont}
\newcommand{\FMCCFourFont}{\fontsize{9.5}{11.5}\selectfont}
\newcommand{\FMCCOneFont}{\fontsize{13}{15}\bfseries\selectfont}
\newcommand{\FMCCThreeAFont}{\fontsize{11}{13}\itshape\selectfont}
\newcommand{\FMCCThreeFont}{\fontsize{11}{13}\selectfont}
\newcommand{\FMCCThreeNumFont}{\fontsize{14}{16}\selectfont}
\newcommand{\FMCCTwoFont}{\fontsize{9.5}{11.5}\selectfont}
\newcommand{\FMCCZeroFont}{\fontsize{14}{16}\bfseries\selectfont}
\newcommand{\FMCFont}{\fontsize{10}{12}\bfseries\selectfont}
\newcommand{\FMEDFont}{\fontsize{11}{13}\bfseries\selectfont}
\newcommand{\PartNumFont}{\fontsize{96}{96}\selectfont}
\newcommand{\PartTitleFont}{\fontsize{36}{36}\selectfont}
\newcommand{\PCOneFont}{\fontsize{9.5}{11.5}\bfseries\selectfont}
\newcommand{\RHFont}{\fontsize{9}{11}\itshape\selectfont}
\newcommand{\SCAuthorFont}{\fontsize{9.5}{11.5}\itshape\selectfont}
\newcommand{\SEAFont}{\fontsize{11}{13}\itshape\selectfont}
\newcommand{\SEFont}{\fontsize{16}{18}\itshape\selectfont}
\newcommand{\SEIAFont}{\fontsize{10}{12}\itshape\selectfont}
\newcommand{\SEIFont}{\fontsize{12}{14}\itshape\selectfont}
\else
\newfont{\BiblioFont}{cmr10 at 9.5pt}
\newfont{\CAAFont}{cmsl10 at 7pt}
\newfont{\CAAPlusOneFont}{cmsl10 at 9pt}
\newfont{\CAFont}{cmr10}
\newfont{\CAPlusOneFont}{cmsl10 at 12pt}
\newfont{\CCOneFont}{cmr10 at 9.5pt}
\newfont{\CCOneIFont}{cmsl10 at 9.5pt}
\newfont{\CCTwoFont}{cmr10 at 8.5pt}
\newfont{\CIPFont}{cmr10 at 7pt}
\newfont{\CaptionFont}{cmr10 at 8.5pt}
\newfont{\CaptionItFont}{cmsl10 at 8.5pt}
\newfont{\ChapNumFont}{cmr10 at 72pt}
\newfont{\ChapTitleFont}{cmr10 at 24pt}
\newfont{\DropCapFont}{cmr10 at 46pt}
\newfont{\EqNumFont}{cmr10 at 9.5pt}
\newfont{\ExampleHeadFont}{cmbx10 at 9.5pt}
\newfont{\SolutionHeadFont}{cmbxsl10 at 9.5pt} %%%% new created
\newfont{\FMCAFont}{cmr10 at 8.5pt}
\newfont{\FMCCFourAFont}{cmsl10 at 9.5pt}
\newfont{\FMCCFourFont}{cmr10 at 9.5pt}
\newfont{\FMCCOneFont}{cmbx10 at 13pt}
\newfont{\FMCCThreeAFont}{cmsl10 at 11pt}
\newfont{\FMCCThreeFont}{cmr10 at 11pt}
\newfont{\FMCCThreeNumFont}{cmr10 at 14pt}
\newfont{\FMCCTwoFont}{cmr10 at 9.5pt}
\newfont{\FMCCZeroFont}{cmbx10 at 14pt}
\newfont{\FMCFont}{cmbx10}
\newfont{\FMEDFont}{cmbx10 at 11pt}
\newfont{\FigureNumFont}{cmbx10 at 8.5pt}
\newfont{\VfFont}{cmr10 at 10pt}
\newfont{\FolioFont}{cmr10 at 9pt}
\newfont{\FolioBoldFont}{cmr10 at 9pt}
\newfont{\FootnoteFont}{cmr10 at 8.5pt}
\newfont{\PLCPDRPHeadFont}{cmbx10 at 9.5pt}
\newfont{\ParagraphHeadFont}{cmbxsl10 at 9.5pt}
%\newfont{\SubParagraphHeadFont}{cmbxsl10 at 9pt}
\newfont{\SubParagraphHeadFont}{cmbx10 at 9pt}
\newfont{\PartNumFont}{cmr10 at 96pt}
\newfont{\PartTitleFont}{cmr10 at 36pt}
\newfont{\PCOneFont}{cmbx10 at 9.5pt}
\newfont{\RHFont}{cmsl10 at 9pt}
\newfont{\SCAuthorFont}{cmsl10 at 9.5pt}
\newfont{\SEAFont}{cmsl10 at 11pt}
\newfont{\SEFont}{cmsl10 at 16pt}
\newfont{\SEIAFont}{cmsl10}
\newfont{\SEIFont}{cmsl10 at 12pt}
\newfont{\SectionHeadFont}{cmbx10 at 13pt}
\newfont{\SubsectionHeadFont}{cmbx10 at 11pt}
\newfont{\SubsectionItalicFont}{cmbxsl10 at 11pt}
\newfont{\SubsubsectionHeadFont}{cmbx10 at 9.5pt}
\newfont{\TableBodyFont}{cmr10 at 8pt}
\newfont{\TableColHeadFont}{cmr10 at 8pt}
\newfont{\TableFootnoteFont}{cmr10 at 8pt}
\newfont{\TableNumFont}{cmbx10 at 8.5pt}
\newfont{\TableTitleFont}{cmr10 at 8.5pt}
\newfont{\TheoremHeadFont}{cmbxsl10 at 9.5pt}
\newfont{\TitlePageTitleFont}{cmr10 at 24pt}
\fi
\newfont{\HugeCalFont}{cmsy10 at 24pt}
\newfont{\LargeCalFont}{cmsy10 at 16pt}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\newcommand*\chaptermark[1]{}
\setcounter{secnumdepth}{2}
\newcounter {part}
\newcounter {chapter}
\newcounter {section}[chapter]
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand \thepart {\@Roman\c@part}
\renewcommand \thechapter {\@arabic\c@chapter}
\renewcommand \thesection {\thechapter.\@arabic\c@section}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}
\newcommand\@chapapp{\chaptername}
\newcommand\frontmatter{%
    \cleardoublepage
  \@mainmatterfalse
  \pagenumbering{roman}}
\newcommand\mainmatter{%
    \cleardoublepage
  \@mainmattertrue
  \pagenumbering{arabic}}
\newcommand\backmatter{%
  \if@openright
    \cleardoublepage
  \else
    \clearpage
  \fi
  \@mainmatterfalse}
%  
\newcommand\part{%
  \if@openright
    \cleardoublepage
  \else
    \clearpage
  \fi
    \if@filesw\immediate\closeout\@parttoc\fi
  \thispagestyle{partheadings}%
    \def\theequation{\thepart.\@arabic\c@equation}%
  \def\thefigure{\thepart.\@arabic\c@figure}%
  \def\thetable{\thepart.\@arabic\c@table}%
  \setcounter{equation}{0}%
  \setcounter{figure}{0}%
  \setcounter{table}{0}%
  \if@twocolumn
    \onecolumn
    \@tempswatrue
  \else
    \@tempswafalse
  \fi
%%  \null\vfil
  \secdef\@@part\@@spart}

\def\@@spart#1{
  {\PartTitleFont
    \setbox\@tempboxa\vbox{\hbox{#1}}
    \@tempdima\wd\@tempboxa
    \box\@tempboxa
    \noindent\vrule width\@tempdima height1pt\par}
  \@endpart}
\def\@@part[#1]#2{\@ifnextchar[{\@xpart{#1}{#2}}{\@xpart{#1}{#2}[]}}
\def\@xpart#1#2[#3]{\@ifnextchar[{\@ypart{#1}{#2}{#3}}{\@ypart{#1}{#2}{#3}[]}}
\def\@ypart#1#2#3[#4]{
  \ifnum \c@secnumdepth >-2
    \relax
    \refstepcounter{part}%
    \addcontentsline{toc}{part}{Part \thepart:\hspace{1em}#1\hfill\medskip\hrule}%% PART made Part, %% 
  \else
    \addcontentsline{toc}{part}{#1}\fi
%  \def\@title{#1}% Commented to make book title the left hand running head
  \markboth{#1}{#1}%
  {\ifnum \c@secnumdepth >-2
      \relax
      \hfill\PartNumFont\thepart\par
      \vskip 20\p@\fi
    \parindent\z@
    {\PartTitleFont
      \baselineskip40\p@
      \def\@secondline{#3}%
      \def\@thirdline{#4}%
      \setbox\@tempboxa\vbox{\hbox{#2}
        \ifx\@secondline\@empty
        \else
          \par\hbox{#3}
          \ifx\@thirdline\@empty
          \else
            \par\hbox{#4}\fi\fi}
    \@tempdima\wd\@tempboxa
    \box\@tempboxa
    \if@pdf\@writetorep{#1}{part.\theHpart}{-1}\fi
    \par
    \vrule width\@tempdima height1pt}%
    \vskip6pt
    \ifx\author@one\@empty\else{\SEFont\baselineskip16pt\author@one\par}\fi
    \ifx\affiliation@one\@empty\else{\SEAFont\baselineskip15pt\affiliation@one\par}\fi
    \ifx\author@two\@empty\else{\SEFont\baselineskip16pt\author@two\par}\fi
    \ifx\affiliation@two\@empty\else{\SEAFont\baselineskip15pt\affiliation@two\par}\fi
    \ifx\author@three\@empty\else{\SEFont\baselineskip16pt\author@three\par}\fi
    \ifx\affiliation@three\@empty\else{\SEAFont\baselineskip15pt\affiliation@three\par}\fi
    \def\author@one{}%
    \def\affiliation@one{}%
    \def\author@two{}%
    \def\affiliation@two{}%
    \def\author@three{}%
    \def\affiliation@three{}%
    \let\author\toc@author
    \reset@authors
    \def\@sections{}%
    \def\section##1{\ifx\@sections\@empty\def\@sections{##1}\else\@cons{\@sections}{ $\bullet$\ ##1}\fi}%
    \let\boldmath\@empty
    \let\contentsline\part@contentsline
    \vskip40\p@
    \leftskip60\p@
    \hsize358\p@
    \@firstchaptrue
    \CCTwoFont\sloppy\makeatletter\@input{part\arabic{part}.toc}\makeatother
    \l@partchapter{}{}}%
  \def\@fname{part\arabic{part}.toc}
  \if@filesw\immediate\openout\@parttoc\@fname\fi
  \vskip24\p@\@afterindentfalse\@afterheading}
\let\part@contentsline\contentsline
\def\l@partchapter#1#2{%
  \if@firstchap
    \@firstchapfalse
  \else
    {\let\@b\bullet
      \def\bullet{\raisebox{2pt}{$\scriptscriptstyle\@b$}}%
      \@mydottedtocline{1}{\z@}{6\p@}{\PCOneFont\@chaptitle\hspace{10pt}\CCOneIFont\draw@authors}{{\def\FolioBoldFont{}\@chappage}}\par
      {\hsize370\p@\footnotesize\@sections\par}
      }
    \reset@authors
    \def\@sections{}\fi   
  \def\@chaptitle{#1}
  \def\@chappage{#2}}
\def\introauthor#1#2{\ifhmode\par\fi\noindent{\SEIFont #1}\par\noindent{\SEIAFont #2}\par\@afterindentfalse\@afterheading}
\@addtoreset{equation}{part}
%
\def\dropcap#1{%
  \leavevmode
  {\DropCapFont\global
    \setbox\@tempboxa\hbox{\uppercase{#1}\hspace{4\p@}}}%
  \hangindent\wd\@tempboxa\hangafter-3\llap{\vbox to 6.5\p@{\box\@tempboxa}}}
\newwrite\@chaptoc
\newwrite\@tempfile
\newif\if@firstauthor
 %             
\newcommand\chapter{\if@openright\cleardoublepage\else\clearpage\fi
		  \make@cornermarks
			  \if@filesw\immediate\closeout\@chaptoc\fi
			  \initlists
			  \def\theequation{\thechapter.\@arabic\c@equation}%
			  \def\thefigure{\thechapter.\@arabic\c@figure}%
			  \def\thetable{\thechapter.\@arabic\c@table}%
			    \pagenumbering{Chapter}  %%%%
			 \pagestyle{headings}%       
			  \@ciptrue
			  \thispagestyle{folio}%
			  \if@ChapterResetsPage\global\c@page\@ne\fi
			  \global\@topnum\z@
			  \gdef\chapterauthor{\@ca}
			  \gdef\endchapterauthors{\end@cas}
			  \@afterindentfalse
                    \secdef\@chapter\@schapter}
\def\@chapter[#1]#2{%
  \ifnum \c@secnumdepth >\m@ne
    \refstepcounter{chapter}%
    \typeout{\@chapapp\space\thechapter.}%
    \addcontentsline{toc}{chapter}{\protect\numberline{\thechapter}#1}
    \my@addcontentsline{\@parttoc}{partchapter}{\string\makebox[21pt]{\thechapter}#1}%
    \markboth{}{#1}
  \else
    \addcontentsline{toc}{chapter}{#1}\fi
  \chaptermark{#1}%
  \addtocontents{lof}{\protect\addvspace{10\p@}}% Adds between-chapter space to
  \addtocontents{lot}{\protect\addvspace{10\p@}}%lists of figs & tables.
  \if@twocolumn
    \@topnewpage[\@makechapterhead{#2}]%
  \else
    \@makechapterhead{#2}%
    \@afterheading\fi
  \if@filesw\immediate\openout\@chaptoc\thechapter.toc\fi}

\newsavebox\@cnbox
\newdimen\numadjust
\newcount\@chapdigit
\let\chaptocbreak\space

\font\sss=cmr10 at 10pt
\def\au{\hbox{\sss \char'177}\kern-5pt}

\font\shs=cmsl10 at 7pt
\def\aa{\hbox{\shs \char'177}\kern-3.5pt}

\def\@makechapterhead#1{%
  \@chapdigit=\thechapter \@whilenum\@chapdigit>9\do{\advance\@chapdigit-10}
  \ifcase\@chapdigit\numadjust2pt\or\numadjust8pt\or\numadjust2pt\or\numadjust5pt\or\numadjust2pt
    \or\numadjust5pt\or\numadjust2pt\or\numadjust2pt\or\numadjust3pt\or\numadjust3pt\fi%
  \@FMHead{\thechapter}{#1}%
  {\parindent\z@
    \def\author##1##2{\immediate\write\@tempfile{\string\author{##1}{##2}}}%
    \def\FolioBoldFont{}%
    \def\'{\noexpand\'}%
    \def\`{\noexpand\`}%
    \def\"{\noexpand\"}%
    \let\@b\bullet
    \def\bullet{\raisebox{2pt}{$\scriptscriptstyle\@b$}}%
    \let\SubsectionItalicFont\it
    \immediate\openout\@tempfile temp
    {\let\newline\par
      \let\chaptocbreak\par
      \def\hyperlink##1##2{##2}%
      \def\break{\string\break\ }%
      \global\setbox\@tempboxa\vbox{{%
        \hsize21pc\sloppy\baselineskip10pt\rightskip24pt plus 1fill\footnotesize%%%%% 
        \leftskip\secnumwidth\CCTwoFont
        \makeatletter\@input{\thechapter.toc}\makeatother\par}}}%
    \immediate\closeout\@tempfile
    %\let\bullet\@b
    \@firstauthortrue
    \def\author##1##2{\if@firstauthor\@firstauthorfalse\else\vskip10pt\fi\CAFont ##1\def\@t{##2}\ifx\@t\@empty\else\par\CAAFont ##2\fi}%
    \parbox[b]{12pc}{\raggedright\baselineskip10pt\@input{temp}\ }\box\@tempboxa}%
  \vskip36pt plus6pt}

\def\@schapter#1{\if@twocolumn
                   \@topnewpage[\@makeschapterhead{#1}]%
                 \else
                   \@makeschapterhead{#1}%
                   \@afterheading
                 \fi}

\newif\if@Index
\global\@Indexfalse
\def\@makeschapterhead#1{%
\thispagestyle{empty}%      
  \@FMHead{}{#1}%
  \if@Index
  \addcontentsline{toc}{chapter}{#1}
  \else
  \my@addcontentsline{\@parttoc}{partchapter}{#1}\fi}
\def\chapterauthors{%
  \def\break{\string\break\ }%
  \def\protect##1{\string ##1 }}
\def\end@cas{}
\def\end@casplusone{\vskip4pt\@doendpe}
\def\@ca#1#2{%
  \if@filesw
    \edef\@tempa{\write\@chaptoc{\string\author{#1}{#2}}}\@tempa
    {\let\break\space
      \def\protect##1{\ }%
      \edef\@tempa{\write\@parttoc{\string\author{#1}}}%
      \@tempa}%
    \write\@auxout{\string\@writefile{toc}{\string\author{#1}}}%
  \fi}
\def\@caplusone{\@ifstar{\@scaplusone}{\@ifnextchar[{\@xcaplusone}{\@xcaplusone[]}}}
\def\@xcaplusone[#1]#2#3{\def\@@empty{#1}\ifx\@empty\@@empty\@ca{#2}{#3}\else\@ca{#2}{#1}\fi\@scaplusone{#2}{#3}}
\def\@scaplusone#1#2{\ifhmode\vskip-12pt\fi\noindent\hskip3pc{\CAPlusOneFont\baselineskip14pt #1\def\@t{#2}\ifx\@t\@empty\else,\fi}\hskip6pt{\CAAPlusOneFont #2}\par}
\def\chapterauthoronly#1#2{\@ca{#1}{}\@scaplusone{#1}{#2}}

\newif\if@firstsub
\newif\if@writesubs
\@writesubstrue
\newdimen\@abovesub

\newcommand\section{%
  \gdef\chapterauthor{\@caplusone}%
  \gdef\endchapterauthors{\end@casplusone}%
  \@firstsubtrue
  \@ifstar{\@ssection}{\@dblarg{\@section}}}
\def\@ssection#1{%
  \@startsection{section}{1}{\z@}{-15pt}{3pt}{\SectionHeadFont\baselineskip15pt}*{#1}%
  \if@pdf
    \refstepcounter{section}%
    \addcontentsline{toc}{section}{\protect\numberline{}{#1}}\fi
  \myaddcontentsline{\@chaptoc}{chapsection}{#1}%
  \@aftersection}
\def\@section[#1]#2{%
  {\def\break{\ }%
    \def\protect##1{\string ##1 }%
    \edef\@tempa{\write\@parttoc{\string\section{#1}}}\@tempa}%
  \@startsection{section}{1}{\z@}{-15pt}{3pt}{\SectionHeadFont\baselineskip15pt}[#1]{#2}%
  \myaddcontentsline{\@chaptoc}{chapsection}{\string\makebox[\secnumwidth][l]{\thesection}#1}%
  \@aftersection}
\def\@aftersection{%
  \nobreak\addvspace{-10pt}%
  \nobreak\rule{\columnwidth}{.25pt}%
  \nobreak\vskip-8pt
  \nobreak\hbox{}%
  \let\reserved@d\subsection
  \def\reserved@a{\vskip-6pt\@abovesub-1pt\ignorespaces}%
  \def\reserved@b{\@abovesub-18pt\@xsect{3pt}}
  \futurelet\@let@token\@ifnch}
\def\l@chapsection{\@mydottedtocline{1}{\z@}{6pt}}
\newcommand\subsection{\@ifstar{\@ssubsection}{\@dblarg{\@subsection}}}
\def\@ssubsection#1{%
  \@startsection{subsection}{2}{\z@}{\@abovesub}{6pt}{\SubsectionHeadFont}*{#1}%
  \if@writesubs\myaddcontentsline{\@chaptoc}{chapsection}{#1}\fi
  \@firstsubtrue
  \@abovesub-18pt}
\def\@subsection[#1]#2{%
  \@startsection{subsection}{2}{\z@}{\@abovesub}{6pt}{\SubsectionHeadFont}[#1]{#2}%
  \@abovesub-18pt
%%%%%%%%%%%%%%% to get level 2, 3, head in chaptoc %%%%%%%%%%%
\if@ChapterTOCs
  \if@writesubs\if@filesw
    {\def\protect##1{\string ##1 }%
      \if@firstsub
        \edef\@tempa{\write\@chaptoc{#1}}\@tempa
      \else
        \edef\@tempa{\write\@chaptoc{$\bullet$\ #1}}\@tempa\fi}\fi\fi
        \else
        \fi
%%%%%%%%%%%%%%        
  \@firstsubfalse}
\def\TOCSubsOn{\@writesubstrue}
\def\TOCSubsOff{\@writesubsfalse}
\newcommand\subsubsection{\@ifstar{\@ssubsubsection}{\@dblarg{\@subsubsection}}}
\def\@ssubsubsection#1{%
  \@startsection{subsubsection}{3}{2pc}{12pt}{3pt}{\SubsubsectionHeadFont}*{#1}%
  \everypar{%
    \if@nobreak%
      \global\@nobreakfalse\clubpenalty\@M%
      \hskip2pc\hskip-\parindent%
    \else%
      \clubpenalty\@clubpenalty\everypar{}%
    \fi}}
\def\@subsubsection[#1]#2{%%% 
%  \@startsection{subsubsection}{3}{2pc}{12pt}{3pt}{\raggedright\SubsubsectionHeadFont}[#1]{#2}%
  \@startsection{subsubsection}{3}{0pc}{12pt}{6pt}{\raggedright\SubsubsectionHeadFont}[#1]{#2}%
  \everypar{%
    \if@nobreak%
      \global\@nobreakfalse\clubpenalty\@M%
%      \hskip2pc
\hskip-\parindent%
    \else%
      \clubpenalty\@clubpenalty\everypar{}%
    \fi}}
\newcommand\paragraph{\@startsection{paragraph}{4}{0pc}{12pt}{.5pt}{\ParagraphHeadFont}}%
\newcommand\subparagraph{\@startsection{paragraph}{4}{0pc}{1pt}{-10pt}{\SubParagraphHeadFont}}
\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa>\z@
    \nobreak \par \nobreak
    \vskip \@tempskipa \nobreak
    \@afterheading
  \else
    \global\@nobreakfalse \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
        \clubpenalty\@M \hskip -\parindent
        \begingroup \@svsechd \endgroup
        \unskip
%%        \@tempskipa #1\relax
        \@tempskipa #1.\relax
        \hskip -\@tempskipa
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \fi
  \ignorespaces}

\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\if@compatibility
\newenvironment{titlepage}
    {%
      \cleardoublepage
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\z@
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
    }
\else
\newenvironment{titlepage}
    {%
      \cleardoublepage
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\@ne
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
     \if@twoside\else
        \setcounter{page}\@ne
     \fi
    }
\fi
\newcommand\appendix{\par
  \setcounter{chapter}{0}%
  \setcounter{section}{0}%
  \gdef\@chapapp{\appendixname}%
  \gdef\thechapter{\@Alph\c@chapter}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\@addtoreset {equation}{chapter}
\renewcommand\theequation
  {\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@equation}
\newcounter{figure}[chapter]
\renewcommand \thefigure
     {\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@figure}
     
%%%%%%%%%%%%%%%%%%%%%% Figure %%%%%%%%%%%%%%%%%     
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\nobreakspace\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}[chapter]
\renewcommand \thetable
     {\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\nobreakspace\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{4\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\FigureNumFont#1}{\quad}{\CaptionFont#2}}%
  \ifdim \wd\@tempboxa >\hsize
    {\FigureNumFont#1}{\quad}{\CaptionFont#2}\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\box\@tempboxa}%
  \fi
  \vskip\belowcaptionskip}
  
  \newif\if@tablerules \@tablerulestrue
\newif\if@thinline \@thinlinefalse
\newif\if@centertable
\newif\if@centertabletitle
\newbox\@tablebox
\newbox\@tabletitlebox
\newdimen\@tablewidth
\newdimen\@tabletitlewidth
%%\newcounter{subtable}[table]
\def\noautomaticrules{\@tablerulesfalse}
\def\nocentertable{\@centertablefalse}
\def\toprule{\\[-6pt] \hline \\[-6pt]}%%%%%% New toprule for table defined
\def\thinline{\global\@thinlinetrue}
\def\@Tabletitle{}
\long\def\tabletitle#1{%
  \def\@tabletitle{#1}%
  \let\@Tabletitle\@TableTitle
  \refstepcounter{table}%
  {\let\footnotemark\@empty
    \let\footnote\@gobble
    \addcontentsline{\ext@table}{table}{\protect\numberline{}{\@tabletitle}}}}
\long\def\tabletitlelet#1{%
  \def\@tabletitle{#1}%
  \let\@Tabletitle\@TableLetTitle
  \refstepcounter{subtable}%
  {\let\footnotemark\@empty
    \let\footnote\@gobble
    \addcontentsline{\ext@table}{table}{\protect\numberline{}{\@tabletitle}}}}
\def\@TableTitle{%
  \noindent
  \if@centertabletitle\hfil\fi
  {\TableNumFont\fnum@table}\quad{\def\it{\CaptionItFont}\TableTitleFont\@tabletitle}\hfil}
\def\@TableLetTitle{%
  \noindent
  \if@centertabletitle\hfil\fi
  {\TableNumFont Table \thesubtable}\quad{\def\it{\CaptionItFont}\TableTitleFont\@tabletitle}\hfil}
\def\table{\long\def\caption##1{\tabletitle{##1}\@TableTitle\par}\@float{table}}
\@namedef{table*}{\long\def\caption##1{\tabletitle{##1}\@TableTitle\par}\@dblfloat{table}}
\def\@tabular{
  \parindent\z@
  \global\@thinlinefalse
  \leavevmode
  \if@centertable\hfil\fi
  \vbox\bgroup
  \setbox\@tablebox\hbox\bgroup
  \baselineskip11pt
  \scriptsize\renewcommand{\arraystretch}{.916666666667}%
  $\let\@acol\@tabacol
  \let\@classz\@tabclassz
  \let\@classiv\@tabclassiv \let\\\@tabularcr\@tabarray}
\def\endtabular{%
  \crcr\egroup\egroup $\egroup
  \@tablewidth\wd\@tablebox
  \setbox\@tabletitlebox\hbox{\@Tabletitle}%
  \ifnum\wd\@tabletitlebox>\@tablewidth
    {\hsize\@tablewidth\raggedright\global\setbox\@tabletitlebox\vbox{\@Tabletitle}}\fi
  \global\@tabletitlewidth\wd\@tabletitlebox
  \ifnum\@tabletitlewidth<\@tablewidth\global\@tabletitlewidth\@tablewidth\fi
  \if@centertable\hfil\fi\hbox to\@tabletitlewidth{\box\@tabletitlebox}\llstrut\hfil\par
  \if@tablerules\vskip-8pt\if@centertable\hfil\fi\hbox to\@tabletitlewidth{\if@centertable\hfil\fi\rule{\@tablewidth}{1pt}\hfil}\hfil\par\fi
  \if@centertable\hfil\fi\hbox to\@tabletitlewidth{\if@centertable\hfil\fi\box\@tablebox\hfil}\hfil\vskip1pt
  \if@tablerules\if@centertable\hfil\fi\hbox to\@tabletitlewidth{\if@centertable\hfil\fi\rule{\@tablewidth}{\if@thinline .5\p@\else 1\p@\fi}\hfil}\hfil\par\fi
  \egroup\hfil
  \vskip 0pt plus 12pt
  \gdef\@Tabletitle{}}
\def\tablefooter{\@ifnextchar[{\@tablefooter}{\@tablefooter[\z@]}}
\def\@tablefooter[#1]{
  \noindent\hskip #1
  \if@centertable\hfil\fi
  \hbox to\@tabletitlewidth\bgroup
    \hsize\@tabletitlewidth\linewidth\@tabletitlewidth\textwidth\@tabletitlewidth
    \scriptsize\vbox\bgroup}
\def\endtablefooter{%
  \ifhmode\par\fi
  \vskip-4\p@
  \noindent\rule{\@tabletitlewidth}{1pt}
  \egroup\egroup\hfil
  \vskip 0pt plus 12pt}
\def\tch#1{\TableColHeadFont #1\llstrut\hfill}
\def\source#1{\vskip-\lastskip\noindent\TableFootnoteFont #1\vskip 0pt plus 18pt}
\def\thesubtable{\thechapter.\@arabic\c@table\alph{subtable}}
\def\resettableletter{\setcounter{subtable}{0}}
\def\llstrut{\rule[-4pt]{0pt}{8pt}}
\def\flstrut{\rule{0pt}{12pt}}
\def\tabletitlestrut{\rule{0pt}{12pt}}
\def\tablefootnotestrut{\rule{0pt}{12pt}}
\arrayrulewidth0.25pt
\@centertabletrue
\@centertabletitlefalse
\def\centertabletitle{\@centertabletitletrue}
%%%%%%%%%%%%%%%%%


\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{24pt}%{1.55em}
\def\@tocindent{20pt}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\if@ChapterTOCs\setcounter{tocdepth}{1}\else\setcounter{tocdepth}{0}\fi
\newcommand\tableofcontents{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
             \pagestyle{empty}
             %  \thispagestyle{empty}
  {\raggedright
  \@mkboth{\contentsname}{\contentsname}
  {\let\break\space
    \let\author\toc@author
    \reset@authors
    \let\toc@draw\relax
    \@starttoc{toc}
    \toc@draw}%
    \if@restonecol\twocolumn\fi
    }}
\newif\if@firstchap
\newif\if@break
\def\breakand{\@breaktrue}%
\newcounter{numauthors}
\def\toc@author#1{%
  \if@firstauthor
    \@firstauthorfalse
  \else
    \ifx\@authors\@empty
      \xdef\@authors{\last@author}%
    \else
      \@cons{\@authors}{, \last@author}\fi\fi
  \stepcounter{numauthors}\gdef\last@author{#1}}
\def\draw@authors{%
  \let\@t\authors
  \ifx\@t\@empty
    \let\@t\last@author\fi
  \ifx\@t\@empty\else
    \unskip\unskip\hskip12\p@
    \@authors
    \ifx\@authors\@empty
    \else
      \ifnum\c@numauthors>2,\fi
      \if@break\break\fi
      \ and \fi
    \last@author\fi}
\def\reset@authors{%
  \gdef\@authors{}%
  \gdef\last@author{}%
  \@firstauthortrue
  \@breakfalse
  \setcounter{numauthors}{0}}
\def\l@part#1#2{%
  \toc@draw
  \reset@authors
  \gdef\toc@draw{\draw@part{#1}{#2}}}
\def\draw@part#1#2{%
  \ifhmode\par\fi
  \addpenalty{-\@highpenalty}%
  \addvspace{12\p@}%
  \begingroup
  \@tempdima\@tocindent
    \parindent \z@ \rightskip \@pnumwidth
    \parfillskip -\@pnumwidth
    {\FMCCZeroFont
      \leavevmode
      #1\hfil\hbox{}}\vskip12\p@% \hbox to\@pnumwidth{\hss #2}\vskip12\p@
      \nobreak
      \global\@nobreaktrue
      \everypar{\global\@nobreakfalse\everypar{}}\endgroup}
%%%%% chapter heading into main toc %% 
\def\chap@numline#1{\hbox to\@tempdima{\FMCCThreeNumFont #1\hfil}}
\def\l@chapter#1#2{%
  \toc@draw
  \reset@authors
  \gdef\toc@draw{\draw@chapter{#1}{#2}}}
\def\draw@chapter#1#2{%
  \ifhmode
    \par
  \else
%    \addpenalty{-\@highpenalty}%
%    \addvspace{12pt}
  \fi
  \@tempdima\@tocindent
  {\def\FolioBoldFont{}%
    \parindent\z@\rightskip\@pnumwidth
    \parfillskip -\@pnumwidth
    \FMCCThreeFont
    \leavevmode
    \advance\leftskip\@tempdima
    \hskip -\leftskip
    \let\numberline\chap@numline
    #1{\FMCCThreeAFont\draw@authors}
\leaders\hbox{$\m@th\mkern\@dotsep mu.\mkern\@dotsep mu$}\hfill\nobreak
          \hbox to24\p@{\CCOneFont\hfil #2}\par}}
%%%%          \leaders\hbox{$\m@th\mkern\@dotsep mu.\mkern\@dotsep mu$}\hfill\nobreak
%    \nobreak\leaders\hbox{$\m@th \mkern \@dotsep mu.\mkern \@dotsep mu$} %%% *********************
%    \hfill\nobreak\hbox to\@pnumwidth{\hss\FMCCFourFont #2}\par
%    \break
%    \penalty\@highpenalty}}
\def\l@section#1#2{%
  \toc@draw
  \reset@authors
  \gdef\toc@draw{\draw@section{#1}{#2}}}
\def\draw@section#1#2{%
  %% commented as per EEH style so that the sections are not entered into the main toc. %%% 
  %% \@dottedtocline{1}{\@tocindent}{2.3em}{{\FMCCFourFont #1\FMCCFourAFont\draw@authors}}{{\def\FolioBoldFont{}#2}}
}
\def\l@subsection#1#2{%
  \toc@draw
  \reset@authors
  \gdef\toc@draw{\draw@subsection{#1}{#2}}}
\def\draw@subsection#1#2{%
  %% commented as per EEH style so that the sections are not entered into the main toc. %%% 
  %% \@dottedtocline{1}{\@tocindent}{2.3em}{{\FMCCFourFont #1\FMCCFourAFont\draw@authors}}{{\def\FolioBoldFont{}#2}}
}

\def\l@subsubsection#1#2{%
  \toc@draw
  \reset@authors
  \gdef\toc@draw{\draw@subsubsection{#1}{#2}}}
\def\draw@subsubsection#1#2{%
  %% commented as per EEH style so that the sections are not entered into the main toc. %%% 
  %% \@dottedtocline{1}{\@tocindent}{2.3em}{{\FMCCFourFont #1\FMCCFourAFont\draw@authors}}{{\def\FolioBoldFont{}#2}}
}

\def\l@paragraph#1#2{%
  \toc@draw
  \reset@authors
  \gdef\toc@draw{\draw@paragraph{#1}{#2}}}
\def\draw@paragraph#1#2{%
  %% commented as per EEH style so that the sections are not entered into the main toc. %%% 
  %% \@dottedtocline{1}{\@tocindent}{2.3em}{{\FMCCFourFont #1\FMCCFourAFont\draw@authors}}{{\def\FolioBoldFont{}#2}}
}
%
\def\@FMHead#1#2{
  \vskip-10pt
  \def\@t{#1}
  \ifx\@t\@empty\else
    \sbox\@cnbox{\ChapNumFont #1}
    \hfill\rlap{\hskip-\wd\@cnbox\hskip\numadjust\box\@cnbox}
    \vskip18pt\fi
  {\raggedleft\baselineskip28pt\ChapTitleFont #2\par}
  \vskip1pt
  \hfill\rule{24pc}{1pt}
  \vskip24pt plus 6pt}
\def\contributors{\thispagestyle{empty}\@FMHead{}{Contributors}}%\thispagestyle{empty} added to prevent page no. from appearing in this page
\def\endcontributors{\thispagestyle{empty}}
\def\threecontributors#1#2#3#4#5#6{{%
  \parindent0pt
  \parbox[t]{10pc}{\raggedright\FMCFont #1\par\FMCAFont #2\par}%
  \hskip18pt
  \parbox[t]{10pc}{\raggedright\FMCFont #3\par\FMCAFont #4\par}%
  \hskip18pt
  \parbox[t]{10pc}{\raggedright\FMCFont #5\par\FMCAFont #6\par}%
  \vskip8pt}}
\def\advisors{\@FMHead{}{Advisory Board}}
\def\endadvisors{\thispagestyle{empty}}
\def\twoadvisors#1#2#3#4{{%
  \parindent0pt
  \parbox[t]{15pc}{\raggedright\FMCFont #1\par\FMCAFont #2\par}%
  \hskip36pt
  \parbox[t]{15pc}{\raggedright\FMCFont #3\par\FMCAFont #4\par}%
  \vskip8pt}}
%%
\def\partauthor#1#2{%
  \ifx\author@one\@empty
    \def\author@one{#1}\def\affiliation@one{#2}
  \else\ifx\author@two\@empty
    \def\author@two{#1}\def\affiliation@two{#2}
  \else
    \def\author@three{#1}\def\affiliation@three{#2}\fi\fi}
\def\author@one{}
\def\affiliation@one{}
\def\author@two{}
\def\affiliation@two{}
\def\author@three{}
\def\affiliation@three{}
\newwrite\@parttoc
\def\thepart{\Roman{part}}

\newcommand\listoffigures{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\listfigurename}%
      \@mkboth{\MakeUppercase\listfigurename}%
              {\MakeUppercase\listfigurename}%
    \@starttoc{lof}%
    \if@restonecol\twocolumn\fi
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\listtablename}%
      \@mkboth{%
          \MakeUppercase\listtablename}%
         {\MakeUppercase\listtablename}%
    \@starttoc{lot}%
    \if@restonecol\twocolumn\fi
    }
\let\l@table\l@figure
%
\def\thebibliography#1{\section*{References}
  \BiblioFont
  \list{\@biblabel{\arabic{enumiv}}}{\settowidth\labelwidth{\@biblabel{#1}}%
    \leftmargin30pt  %% as per EEH style %% 
%    \leftmargin\labelwidth  %% commented 
    \advance\leftmargin\labelsep
\if@UnnumberedReferences
\itemindent-35pt 
\else
\itemindent-22pt 
\fi
    \itemsep0pt
    \parsep0pt
    \usecounter{enumiv}%
    \let\p@enumiv\@empty
    \def\labelenumiv{\theenumiv.}%
    \def\theenumiv{\arabic{enumiv}}}%
  \def\makelabel##1{\hss\llap{##1}}%
  \def\newblock{\hskip .11em plus.33em minus.07em}%
  \sloppy\clubpenalty4000\widowpenalty4000
  \sfcode`\.=\@m
  \let\reserved@d\bibliopar
  \def\reserved@a{\vskip-31pt\vbox{}\item[]\hskip\itemindent}%
  \def\reserved@b{}%
  \futurelet\@let@token\@ifnch}
\def\bibliopar#1{
  \ifhmode\par\fi
  \addvspace{6pt}
  \noindent
  {\parindent\z@
  \leftskip-\leftmargin
  #1
  \ifhmode\par\fi}
  \addvspace{6pt}}
\if@UnnumberedReferences
   \def\@biblabel#1{}
   \def\@biblabel#1{\def\@t{#1}\ifx\@t\@empty\else\fi}
\else
   \def\@biblabel#1{\stepcounter{enumiv}\@arabic\c@enumiv.}
\fi

\let\@openbib@code\@empty
%
\newenvironment{theindex}
               {\@Indextrue\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \twocolumn[\@makeschapterhead{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}%
                        {\MakeUppercase\indexname}%
                \thispagestyle{folio}\parindent\z@
                \pagenumbering{Index}
                \parskip\z@ \@plus .3\p@\relax
                \columnseprule \z@
                \columnsep 35\p@
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}

%%\def\thefootnote{\FootnoteFont\arabic{footnote}}
\def\thefootnote{\setcounter{footnote}{0}\fnsymbol{footnote}}
\def\footnoterule{
  \kern-5\p@
%  \hrule width \columnwidth height .25pt
  \hrule width 6pc height .25pt
  \kern 4.75\p@}
\skip\footins 36pt

%%\renewcommand\footnoterule{%
%%  \kern-5\p@
%%  \hrule\@width.4\columnwidth
%%  \kern2.6\p@}
%%\@addtoreset{footnote}{chapter}
%%\newcommand\@makefntext[1]{%
%%    \parindent 1em%
%%    \noindent
%%    \hb@xt@1.8em{\hss\@makefnmark}#1}

%%\def\thefootnote{\FootnoteFont\arabic{footnote}}
\def\thefootnote{\setcounter{footnote}{0}\fnsymbol{footnote}}
\def\footnoterule{
  \kern-5\p@
%  \hrule width \columnwidth height .25pt
  \hrule width 6pc height .25pt
  \kern 4.75\p@}
\skip\footins 36pt

\def\unnumlist{\list{}{\@listunnum}} 
\let\endunnumlist\endlist
%%


\def\initlists{
  \def\@listi{
    \leftmargin\leftmargini
    \rightmargin 21pt
    \labelsep 5pt
    \labelwidth\leftmargin\advance\labelwidth-\labelsep
    \parsep 0pt
    \topsep 6pt plus 2pt minus 1pt
    \itemsep 2pt}}
\def\@listunnum{%%%%%%% unnumlist as per EEH style
  \leftmargin 25pt
  \rightmargin 0pt
  \itemindent -15pt
  \parsep 0pt
  \topsep 4.5pt %%plus 2pt minus 2pt
  \itemsep 0pt}
\def\enumerate{\ifnum \@enumdepth >3 \@toodeep\else
  \def\equation{\ifhmode\par\fi\abovedisplayshortskip\abovedisplayskip
    \noindent\hskip-\@totalleftmargin\hbox to\textwidth\bgroup\vbox\bgroup$$
    \refstepcounter{equation}}
  \def\endequation{\eqno \hbox{\@eqnnum}
    $$\egroup\egroup\global\@ignoretrue}
  \let\@eqnarray\enumerate@eqnarray
  \def\end@eqnarray{\@@eqncr\egroup$$\egroup\egroup\vskip\jot\global\@ignoretrue}
  \advance\@enumdepth\@ne
  \edef\@enumctr{enum\romannumeral\the\@enumdepth}\list
  {\csname label\@enumctr\endcsname}{\usecounter{\@enumctr}
  \def\makelabel##1{\hss\llap{##1}}}\fi}
\def\enumerate@eqnarray{\ifhmode\par\fi\vskip\abovedisplayskip
  \global\@eqnswtrue\m@th
  \global\@eqcnt\z@\tabskip\@centering\let\\\@eqncr
  \noindent\hskip-\@totalleftmargin\hbox to\textwidth\bgroup\vbox\bgroup$$
  \halign to\displaywidth\bgroup\@eqnsel\hskip\@centering
  $\displaystyle\tabskip\z@{##}$&\global\@eqcnt\@ne
  \hskip 2\arraycolsep \hfil${##}$\hfil
  &\global\@eqcnt\tw@ \hskip 2\arraycolsep $\displaystyle\tabskip\z@{##}$\hfil
  \tabskip\@centering&\llap{##}\tabskip\z@\cr}

\if@pdf
\else
%  \@cip{\rule{0pt}{9pt}0-8493-8597-0/01/\$0.00+\$1.50}{{\tiny\copyright}\ \ 2009 by CRC Press, LLC}
  \fi
\def\@Chapter#1{{\bf\thechapter}-\@arabic\c@page}
\pagenumbering{Chapter}
\newcommand{\bm}[1]{{\mbox{$\boldmath#1$}}}
\def\GH#1{\addvspace{12pt}\noindent\ignorespaces{\SectionHeadFont #1}}

\newcounter{proposition}[chapter]
\newcounter{lemma}[chapter]
\newcounter{corollary}[chapter]
\newcounter{proof}[chapter]
\newcounter{definition}[chapter]
\newcounter{remark}[chapter]
\newcounter{properties}[chapter]
\newcounter{theorem}[chapter]
\newcounter{example}[chapter]
\newcounter{fact}[chapter]
\def\theproposition{\arabic{chapter}.\arabic{proposition}}
\def\thelemma{\arabic{chapter}.\arabic{lemma}}
\def\thecorollary{\arabic{chapter}.\arabic{corollary}}
\def\theproof{\arabic{chapter}.\arabic{proof}}
\def\thedefinition{\arabic{chapter}.\arabic{definition}}
\def\theremark{\arabic{chapter}.\arabic{remark}}
\def\theproperties{\arabic{chapter}.\arabic{properties}}
\def\thetheorem{\arabic{chapter}.\arabic{theorem}}
\def\theexample{\arabic{chapter}.\arabic{example}}
\def\thesolution{\arabic{chapter}.\arabic{solution}}%%%% counter for solution
\def\thefact{\arabic{chapter}.\arabic{fact}}
%%
\newenvironment{PLCPDRP}[1]{
  \refstepcounter{#1}
  \ifhmode\par\fi
  \addvspace{18pt}%
  \noindent%
  {\PLCPDRPHeadFont \uppercase{#1}\ \csname the#1\endcsname}%
  \hskip 10pt%
  \bgroup
}{\egroup\ifhmode\par\fi\addvspace{12pt}}

\newenvironment{proposition}{\PLCPDRP{proposition}}{\endPLCPDRP}
\newenvironment{lemma}{\PLCPDRP{lemma}}{\endPLCPDRP}
\newenvironment{corollary}{\PLCPDRP{corollary}}{\endPLCPDRP}
\newenvironment{proof}{\PLCPDRP{proof}}{\endPLCPDRP}
\newenvironment{definition}{\PLCPDRP{definition}}{\endPLCPDRP}
\newenvironment{remark}{\PLCPDRP{remark}}{\endPLCPDRP}
\newenvironment{properties}{\PLCPDRP{properties}}{\endPLCPDRP}
\newenvironment{theorem}{
  \refstepcounter{theorem}
  \ifhmode\par\fi
  \addvspace{18pt}%
  \noindent%
  {\TheoremHeadFont THEOREM \thetheorem}%
  \hskip 10pt%
  \bgroup\it
}{\egroup\ifhmode\par\fi\addvspace{12pt}}


%%%%%%%%%%%%%%%
%
\def\VA#1#2{\addvspace{12pt}\raggedleft #1\rightskip3em\par #2\rightskip3em}
%
\newenvironment{VF}{\VfFont%
		\par\addvspace{12pt minus2pt}%
\noindent{\vrule height2pt width\textwidth}\par\vskip7.3pt
  \leftskip3em\rightskip\leftskip
 \noindent\ignorespaces
}{%
\par\vskip6pt\leftskip0pt\noindent{{\vrule height2pt width\textwidth}}\par\addvspace{12pt minus2pt}%
  \@endparenv}
%
\def\VTA#1#2{\addvspace{12pt}\raggedleft #1\rightskip3em\par {\it #2}\rightskip3em}
%
%
\def\VT{\par\addvspace{3.5pt}\noindent}

\def\VH#1{{\normalfont\fontsize{12.5}{14.5}\itshape\centering\selectfont #1\par}\addvspace{5.5pt}}
%
\newenvironment{VT1}{\VfFont%
		\par\addvspace{12pt minus2pt}%
\noindent{\vrule height2pt width\textwidth}\par\vskip7.5pt
  \leftskip3em\rightskip\leftskip
%\@afterheading
\parindent0pt
 \noindent\ignorespaces
}{%
\par\vskip6pt\leftskip0pt\noindent{{\vrule height2pt width\textwidth}}\par\addvspace{10pt minus2pt}%
  \@endparenv}
%

%%%%%%%%%%%%%%%%%%%%

\def\Boxhead#1{\par\addvspace{3pt plus2pt}\noindent{\centering\bfseries#1\par}\vskip3pt}


\newbox\tempbox%
\newdimen\tempdimen%
%
\newenvironment{shortbox}{\par\addvspace{12pt plus2pt}%
\setbox\tempbox\vbox\bgroup\hsize31.7pc%
}{%
\egroup%
\noindent\fboxsep6pt\fboxrule.5pt\hspace*{0pt}\fbox{\box\tempbox}
\par\addvspace{12pt plus2pt}}%
%


%%%%%%%%%%%%

\def\grayink{\special{color cmyk 0 0 0 0.2}}
\def\blackink{\special{color cmyk 0 0 0 1.0}} %  
\def\whiteink{\special{color cmyk 0 0 0 0}} % 0%

\newenvironment{shadebox}{%
\setbox\tempbox\hbox\bgroup\vbox\bgroup\leftskip12pt\rightskip\leftskip}{\par\addvspace{12pt}
\egroup\egroup\par\addvspace{25pt} 
\tempdimen\ht\tempbox
\advance\tempdimen by 1pc
\noindent{\hbox to \wd\tempbox{\vbox to \ht\tempbox{\hsize\textwidth{\special{color push}\grayink\vspace*{-12pt}\noindent\vrule height\tempdimen width\textwidth 
\special{color pop}\blackink}}}}%
\llap{\unhbox\tempbox}\par\addvspace{12pt}}

%%%%%%%%%%%%%%%%%%%%%%
\newenvironment{example}{
  \refstepcounter{example}
  \ifhmode\par\fi%
  \addvspace{12pt}%
  \noindent\ignorespaces%
  {\ExampleHeadFont Example~\theexample\par}\vskip6pt%
  \noindent\ignorespaces%
  \bgroup%
  \noindent\ignorespaces%
}{\egroup\ifhmode\par\fi\addvspace{12pt}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newenvironment{fact}{
  \refstepcounter{fact}
  \ifhmode\par\fi
  \addvspace{18pt}%
  \noindent%
  {\TheoremHeadFont FACT \thefact}%
  \hskip 10pt%
  \bgroup\it
}{\egroup\ifhmode\par\fi\addvspace{12pt}}

%%%%%%%%%%%%

\newenvironment{extract}{\ifhmode\par\fi\leftskip3pc\rightskip10pt\vskip6pt}{\vskip6pt}

%%%%%%%%%%%%%%%%
\newenvironment{gloss}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\glosslabel}}
               {\endlist}
\newcommand\glosslabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}

%%%%%%%%%%%%%%%%%%%%% 
\newcounter{solution}[chapter]
\def\thesolution{\arabic{chapter}.\arabic{solution}}
\newenvironment{solution}{
  \refstepcounter{solution}
  \ifhmode\par\fi%
  \addvspace{12pt}%
  \noindent\ignorespaces%
  {\SolutionHeadFont Solution~\thesolution\par}\vskip6pt%
  \noindent\ignorespaces%
  \bgroup%
  \noindent\ignorespaces%
}{\egroup\ifhmode\par\fi\addvspace{12pt}\noindent\ignorespaces}


%%%%%%%%%%%%%%%%%%%
    
\newbox\tempbox

\newdimen\nomenwidth

\newenvironment{symbollist}[1]{%
\addvspace{12pt}
			\setbox\tempbox\hbox{#1\hskip1em}%
   \global\nomenwidth\wd\tempbox
   %\section*{Sumbol Description}
\noindent{\SectionHeadFont Symbol Description}\vskip6pt
\begin{multicols}{2}}{%
		\end{multicols}\par\addvspace{12pt}}
\def\symbolentry#1#2{\par\noindent\@hangfrom{\hbox to \nomenwidth{#1\hss}}#2\par}

%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%    
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\bibname{Bibliography}
\newcommand\indexname{Index}
\newcommand\figurename{FIGURE}
\newcommand\tablename{TABLE}
\newcommand\partname{Part}
\newcommand\chaptername{Chapter}
\newcommand\appendixname{Appendix}
\def\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi
\endinput
%%
